Subject: [alpine-aports] [PATCH] testing/mapserver: new aport

From: Bjoern Schilberg <[email-masked]>
Date: Fri, 17 Mar 2017 21:24:17 +0100

http://mapserver.org/
MapServer is CGI-based platform for publishing spatial data and interactive mapping applications to the web.
---
 testing/mapserver/APKBUILD | 58 ++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 58 insertions(+)
 create mode 100644 testing/mapserver/APKBUILD

diff --git a/testing/mapserver/APKBUILD b/testing/mapserver/APKBUILD
new file mode 100644
index 0000000..a313fe3
--- /dev/null
+++ b/testing/mapserver/APKBUILD
@@ -0,0 +1,58 @@
+# Contributor: Bjoern Schilberg <[email-masked]>
+# Maintainer: Bjoern Schilberg <[email-masked]>
+pkgname=mapserver
+pkgver=7.0.4
+pkgrel=1
+pkgdesc="MapServer is CGI-based platform for publishing spatial data and interactive mapping applications to the web."
+url="http://mapserver.org/"
+arch="x86_64"
+license="MIT"
+depends="geos gdal proj4 cairo curl fcgi freetype libjpeg libpng libxml2 libpq giflib"
+depends_dev="cmake postgresql-dev geos-dev gdal-dev jpeg-dev giflib-dev libxml2-dev proj4-dev fcgi-dev curl-dev freetype-dev cairo-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev"
+source="http://download.osgeo.org/mapserver/$pkgname-$pkgver.tar.gz"
+
+builddir="$srcdir/$pkgname-$pkgver"
+
+build() {
+        cd "$builddir"
+	mkdir build; cd build; 
+	cmake .. \
+	-DCMAKE_INSTALL_PREFIX=/usr \
+	-DCMAKE_BUILD_TYPE=Release \
+	-DWITH_GDAL=ON \
+	-DWITH_GEOS=ON \
+	-DWITH_OGR=ON \
+	-DWITH_PROJ=ON \
+	-DWITH_POSTGIS=ON \
+	-DWITH_KML=ON \
+	-DWITH_WCS=ON \
+	-DWITH_SOS=ON \
+	-DWITH_WMS=ON \
+	-DWITH_CLIENT_WMS=ON \
+	-DWITH_WFS=ON \
+	-DWITH_CLIENT_WFS=ON \
+	-DWITH_THREAD_SAFETY=OFF \
+	-DWITH_FCGI=ON \
+	-DWITH_CAIRO=ON \
+	-DWITH_CURL=ON \
+	-DWITH_MYSQL=OFF \
+	-DWITH_FRIBIDI=OFF \
+	-DWITH_HARFBUZZ=OFF \
+	-DWITH_EXEMPI=OFF
+        make -j1 || return 1
+}
+
+package() {
+        cd "$builddir"
+	cd build
+        make DESTDIR="$pkgdir" install || return 1
+	rm -rf "$pkgdir"/usr/share/
+        chmod -x "$pkgdir"/usr/include/mapserver/*.h
+}
+
+md5sums="90a2dd2b888722586049da32ecef46d7  mapserver-7.0.4.tar.gz"
+sha256sums="c91d40da5cc242b20ca7e29c41bd9eb23097b98a77908b1d708e9708f6f6cf69  mapserver-7.0.4.tar.gz"
+sha512sums="04d61e488d59bccdde6eece4b59c5ad0f954bb15797b5bff6e961f4616f0d9d571a2d145788a5254b6d9e9a82dbccf34047a519642344fa1dffafaed16877fa6  mapserver-7.0.4.tar.gz"
-- 
2.8.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---